error when launching gambas in manjaro

Post Reply
farhad
Posts: 2
Joined: Wednesday 18th March 2020 9:49pm

error when launching gambas in manjaro

Post by farhad » Wednesday 18th March 2020 9:54pm

Hello guys,
currently i use manjaro (xfce )
i installed gambas but i recieve this error when launching gambas ide

gb.gui.qt: error: cannot load component 'gb.qt5'

any help?

User avatar
Quincunxian
Posts: 85
Joined: Sunday 25th June 2017 12:14am
Location: Western Australia

Re: error when launching gambas in manjaro

Post by Quincunxian » Wednesday 18th March 2020 11:23pm

Hi farhad,
Open a command box and type in 'whereis qt5'
you should get something similar to this if it is installed...

qt5: /usr/lib/x86_64-linux-gnu/qt5 /usr/lib/qt5 /usr/share/qt5

Above is what I get from my Linux Mint distro.

If it is not installed, you can follow the instructions here to install it for Manjaro.

Once it is installed then open a new gambas project.
Click: Project - Properties then select the components tab.
Scroll down and you should see an entry for [ gb.qt5 QT5 Toolkit]

However, if you get the same message when starting Gambas, a reinstall may be required.

The only other thing I can think of is that a prerequisite of qt5 is missing - which is why it won't install.
Cheers - Quin.
I code therefore I am

farhad
Posts: 2
Joined: Wednesday 18th March 2020 9:49pm

Re: error when launching gambas in manjaro

Post by farhad » Saturday 21st March 2020 7:27pm

Hi Quincunxian
thank you for your reply
I installed qt but I get same error :(

I wish i could be possible to install gambas3 via snap packages

I found a link to gambas3 snap on github but I'm not familiar with snap-craft and I don't know how to make snaps. below is the link

https://github.com/popey/gambas3-snap

I wanted to know is it possible for you to make a gambas3 snap package?

snaps are very easy to install and don't require dependencies...

User avatar
cogier
Site Admin
Posts: 468
Joined: Wednesday 21st September 2016 2:22pm
Location: Guernsey, Channel Islands

Re: error when launching gambas in manjaro

Post by cogier » Sunday 22nd March 2020 12:16pm

I downloaded Manjaro 19.02 XFCE 64Bit and installed it on a clean drive. I didn't do any updates.

I looked on the web as I am not familiar with 'pacman', I'm an 'apt-get' guy! 8-) I was advised to install from the command line with sudo pacman -Sy gambas3 I answered yes to the next 2 questions.

Gambas was listed in the menu and it launched with no errors, I downloaded a program from the Farm, (got to get my numbers up!) it downloaded and ran without issue.

I did see on the web that there were others who had issues and in one case the theme were blamed, you could try resetting the theme to the default.

Image

User avatar
jornmo
Site Admin
Posts: 224
Joined: Wednesday 21st September 2016 1:19pm
Location: Norway

Re: error when launching gambas in manjaro

Post by jornmo » Wednesday 25th March 2020 12:50pm

Love Manjaro!

Post Reply